ارتقای جامع فناوری سامانه های یکتاوب

 | تاریخ ارسال: 1400/1/19 | 
الزام بروزرسانی امنیتی سرورها
 
10 آذر 1401:
امکان نصب نسخه های جدیدتر سرویس های وب و بانک اطلاعاتی به صورت زیر فراهم شد. استفاده از نسخه ی جدید آپاچی به دلیل رفع یک مشکل امنیتی توصیه شده است.
Apache 2.4.54, MariaDB 10.4.24, PHP 7.4.30, phpMyAdmin 5.2.0, OpenSSL 1.1.1q,
 
20 شهریور 1401:
راهنمای گام به گام ارتقای سرویس ها با کمک xampp 7.4.28 روی سایت قرار گرفت. در صورت تمایل، می توانید برای ارتقای سرویس ها با کمک این راهنما اقدام کنید.

 
19 خرداد 1401:
عدم امکان استفاده از بخش مدیریت، برای سایت های روی نسخه های قدیمی PHP

با توجه به افزایش محسوس تلاش ها برای نفوذ به سایت ها و سرورها و با هدف افزایش امنیت و نیز با توجه به عدم توجه برخی سازمان ها به هشدارهای امنیتی شرکت، سایت های روی نسخه های قدیمی PHP امکان دسترسی به بخش مدیریت نخواهند داشت. در صورتی که بخواهید همچنان بر بستر قدیمی کار کنید، لازم است یک نامه ی رسمی (با مهر و امضای کارفرمای مربوطه) حاوی تعهد زیر برای شرکت ارسال کنید:
"ما با آگاهی کامل از قدیمی بودن سرویس های وب و امکان نفوذ به آنها، همچنان خواستار ادامه ی کار برنامه در شرایط فعلی و بدون بروزرسانی سرویس ها هستیم"
 
14 فروردین 1401:
با توجه به آسیب پذیری های Apache در نسخه های پایین تر از 2.4.52، در آخرین بروزرسانی، بسته ی زیر نصب خواهد شد:
  • Apache 2.4.53
  • MariaDB 10.4.24
  • PHP 7.4.28 (VC15 X86 64bit thread safe) + PEAR
  • phpMyAdmin 5.1.3
  • OpenSSL 1.1.0g
Versions of Apache HTTP Server
Version Initial release Latest release
1.3 1998-06-06[54] 2010-02-03 (1.3.42)[55]
2.0 2002-04-06[56] 2013-07-10 (2.0.65)[57]
2.2 2005-12-01[58] 2017-07-11 (2.2.34)[59]
2.4 2012-02-21[60] 2022-03-14 (2.4.53)[61]
Old version
Latest version

 
 
پیوند و توضیح مرتبط:
اخبار آسیب‌پذیری در وب سرور apache در سایت مرکز ماهر
برخی از این آسیب ها وابسته ماژول های خاص یا اجرای کد روی سرور هستند. به صورت عمومی چون برخی از این ماژول ها توسط برنامه یکتاوب استفاده نمی شوند و نیز این مساله که امکان اجرای کد خارجی روی سرورها وجود ندارد، امکان سوء استفاده از این رخنه های امنیتی بسیار پایین می باشد. اما در هر صورت برای امنیت بیشتر لازم است بروزرسانی ها همواره انجام شوند.
فروردین 1400:
با بازنویسی و تغییرات وسیع در برنامه، امکان نصب برنامه یکتاوب روی بسترهای جدید فراهم شد. آخرین فناوری های موجود برای وب سرویس Apache، بانک اطلاعاتی MySQL و برنامه  Php مورد بررسی قرار گرفته و تغییرات لازم برای سازگار کردن برنامه با آنها انجام شده است. به این ترتیب، حداکثر امنیت و کارآیی، توسعه پذیری و سازگاری با نرم افزارهای جدید فراهم گردیده است. برای مثال با توجه به سرعت بالاتر Php 7.4 در تست های انجام شده شاهد حداقل 10 درصد سرعت بیشتر در اجرای برنامه بودیم.
برای استفاده از بسترهای جدید لازم است حتما از نسخه های بالاتر از 4200 برنامه یکتاوب استفاده شود. به زودی سروهای یکتاوب به CloudLinux OS  مجهز شده و در خصوص نحوه ارتقای سرورهای سازمانی اطلاع رسانی لازم انجام خواهد شد. برنامه بر روی بستر زیر تست گردیده است:
Apache/2.4.43
PHP Version 7.4.8
MySQL 10.4.13-MariaDB
اگر از سیستم عامل های چند سال پیش استفاده می کنید، بهتر است سیستم عامل جدید هم نصب شود. برای این کار می توانید یک سرور جدید تهیه کرده و سیستم عامل زیر را روی آن نصب کنید تا انتقال سایت ها به سرور جدید انجام شود.
نیازهای نرم‌افزاری و سخت‌افزاری برنامه یکتاوب + فرم ها + نمونه نامه دسترسی
سیستم عامل پیشنهادی ما برای نصب CentOS می باشد. نسخه  64 بیت این سیستم عامل را می توانید از نشانی centos.org دریافت و نصب نمایید:
http://mirror.earthlink.iq/centos/7.9.2009/isos/x86_64/CentOS-7-x86_64-DVD-2009.iso
 

برای ارتقای سرویس ها روی سرورهای سازمانی و تنظیمات مربوطه در سایت ها، بسته به تعداد و حجم سایت ها و نیز روش دسترسی، بین 10 تا 50 میلیون ریال هزینه در نظر گرفته خواهد شد. برای سفارش ارتقا می توانید از طریق تیکت یا ایمیل با ما مکاتبه کنید.
پیوندهای مرتبط: